summaryrefslogtreecommitdiffstats
path: root/games/rott/rott.sh
diff options
context:
space:
mode:
Diffstat (limited to 'games/rott/rott.sh')
-rw-r--r--games/rott/rott.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/games/rott/rott.sh b/games/rott/rott.sh
new file mode 100644
index 0000000000..2248dfd758
--- /dev/null
+++ b/games/rott/rott.sh
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+# Wrapper script for Rise of the Triad, by B. Watson
+
+DATADIR=/usr/share/games/rott
+CDROMFILE=$DATADIR/ROTTCD.RTC
+REGFILE=$DATADIR/DARKWAR.WAD
+DEMOFILE=$DATADIR/HUNTBGIN.WAD
+BINDIR=/usr/games
+
+if [ -r $CDROMFILE ]; then
+ exec $BINDIR/rott-cdrom "$@"
+elif [ -r $REGFILE ]; then
+ exec $BINDIR/rott-reg "$@"
+elif [ -r $DEMOFILE ]; then
+ exec $BINDIR/rott-demo "$@"
+else
+ cat 1>&2 <<EOF
+$0: Can't find any usable game data files.
+
+Copy the game data files from either the shareware or full version
+of ROTT to /usr/share/games/rott, and if necessary, rename the files
+to ALL UPPERCASE names (e.g. DARKWAR.WAD).
+EOF
+ exit 1
+fi